#include <stdio.h>   /* Standard input/output definitions */
#include <string.h>  /* String function definitions */
#include <unistd.h>  /* UNIX standard function definitions */
#include <fcntl.h>   /* File control definitions */
#include <errno.h>   /* Error number definitions */
#include <termios.h> /* POSIX terminal control definitions */

char* getChunkFile(char* buffer, int chunk) {
	sprintf(buffer, "./parse/out.%i", chunk);
	return buffer;
}

int main() {
	char buffer[80];

	system("rm parse/out.*");
	FILE* fp = fopen("./uart.out", "r");
	int chunk = 0;
	char data[80];
	while(fgets(data, 80, fp)) {

		FILE* pf = fopen(getChunkFile(buffer, chunk), "w");
		unsigned int initial = atoi(data);
		unsigned int last = 0;
		while(fgets(data, 80, fp)) {
			unsigned int follow = atoi(data) - initial;
			if(follow > 800) {
				fclose(pf);
				chunk++;
				initial = atoi(data);
				pf = fopen(getChunkFile(buffer, chunk), "w");
			} else fprintf(pf, "%u\n", follow);
		}
		fclose(pf);
	}
	fclose(fp);
}
